# Vault API — Logs

> Canonical URL: https://developers.apideck.com/apis/vault/reference#tag/Logs

This document contains every operation on the `Logs` resource.

---

# Get all consumer request logs

> **Vault API** · `GET /vault/logs`
> Canonical URL: https://developers.apideck.com/apis/vault/reference#tag/Logs/operation/logsAll

This endpoint includes all consumer request logs.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `filter` | query | `object` | No | Filter results |
| `cursor` | query | `string` | No | Cursor to start from. You can find cursors for next/previous pages in the meta.cursors property of the response. |
| `limit` | query | `integer` | No | Number of results to return. Minimum 1, Maximum 200, Default 20 |

### Responses

#### 200 — Logs

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `data` `array of object` **required**
  - `api_style` `string` **required** — Indicates if the request was made via REST or Graphql endpoint. — example: `REST`
  - `base_url` `string` **required** — The Apideck base URL the request was made to. — example: `unify.apideck.com`
  - `child_request` `boolean` **required** — Indicates whether or not this is a child or parent request. — example: `false`
  - `consumer_id` `string` **required** — The consumer Id associated with the request. — example: `test-consumer`
  - `duration` `number` **required** — The entire execution time in milliseconds it took to call the Apideck service provider. — example: `2220.379304`
  - `error_message` `string` — If error occurred, this is brief explanation — example: `Refresh token is invalid`
  - `execution` `integer` **required** — The entire execution time in milliseconds it took to make the request. — example: `2248`
  - `has_children` `boolean` **required** — When request is a parent request, this indicates if there are child requests associated. — example: `false`
  - `http_method` `string` **required** — HTTP Method of request. — example: `GET`
  - `id` `string` **required** — UUID acting as Request Identifier. — example: `0b5f7480-5550-4f5c-a5fc-3c01ac43dd0f`
  - `latency` `number` **required** — Latency added by making this request via Unified Api. — example: `27.620695999999953`
  - `operation` `object` **required** — The request as defined in OpenApi Spec.
    - `id` `string` **required** — The OpenApi Operation Id associated with the request — example: `connectionsAll`
    - `name` `string` **required** — The OpenApi Operation name associated with the request — example: `Get All Connections`
  - `parent_id` `string` **required** — When request is a child request, this UUID indicates it's parent request. — example: `0b5f7480-5550-4f5c-a5fc-3c01ac43dd0f`
  - `path` `string` **required** — The path component of the URI the request was made to. — example: `/vault/connections`
  - `sandbox` `boolean` **required** — Indicates whether the request was made using Apidecks sandbox credentials or not. — example: `false`
  - `service` `object` **required** — Apideck service provider associated with request.
    - `id` `string` **required** — Apideck service provider id. — example: `apideck-vault`
    - `name` `string` **required** — Apideck service provider name. — example: `Apideck Vault`
  - `source_ip` `string` — The IP address of the source of the request. — example: `94.227.131.238`
  - `status_code` `integer` **required** — HTTP Status code that was returned. — example: `200`
  - `success` `boolean` **required** — Whether or not the request was successful. — example: `true`
  - `timestamp` `string` **required** — ISO Date and time when the request was made. — example: `2021-07-12T14:26:17.420Z`
  - `unified_api` `string` **required** — Which Unified Api request was made to. — enum: `crm`, `lead`, `proxy`, `vault`, `accounting`, `hris`, `ats`, `ecommerce`, `issue-tracking`, `pos`, `file-storage`, `sms` — example: `vault`
- `meta` `object` — Response metadata
  - `items_on_page` `integer` — Number of items returned in the data property of the response — example: `50`
  - `cursors` `object` — Cursors to navigate to previous or next pages through the API
    - `previous` `string` — Cursor to navigate to the previous page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjE=`
    - `current` `string` — Cursor to navigate to the current page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjI=`
    - `next` `string` — Cursor to navigate to the next page of results through the API — example: `em9oby1jcm06OnBhZ2U6OjM=`
- `links` `object` — Links to navigate to previous or next pages through the API
  - `previous` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjE%3D`
  - `current` `string` — Link to navigate to the current page through the API — example: `https://unify.apideck.com/crm/companies`
  - `next` `string` — Link to navigate to the previous page through the API — example: `https://unify.apideck.com/crm/companies?cursor=em9oby1jcm06OnBhZ2U6OjM`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
